export const store = createStore<State>({
    actions: {
        /*async fetchDashboard ({state, commit, rootState}) {
            const response = await fetch("/api/v1/dashboard", {
                headers: {
                    'Authorization': 'Bearer ' + rootState.Session.Token
                }
            })
            const data = await response.json();
            commit("setBudgets", data.Budgets);
        },*/
    },
    plugins: [createLogger()],
    modules: {
        budget: budgetStore
    }
})

store.subscribe((mutation, state) => {

    const sessionStore = useSessionStore();
    let persistedState = {
        Session: sessionStore,
//        Accounts: [...state.Accounts],
        CurrentBudgetID: state.CurrentBudgetID,
        //CurrentAccountID: state.CurrentAccountID,
        ExpandMenu: state.ExpandMenu,
        ShowMenu: state.ShowMenu
    }
    localStorage.setItem("store", JSON.stringify(persistedState));
})